dxcharlary的个人博客分享 http://blog.sciencenet.cn/u/dxcharlary

博文

vasp+wannier2.0

已有 5552 次阅读 2017-10-16 13:29 |系统分类:科研笔记|关键词:学者| VASP, wannier

现有版本vasp只支持wannier1.2,但实际上vasp是可以和wannier2.0兼容的

具体操作如下:

The problem seems to be due to the new version of wannier90-2.0.0 (compiled with the current Intel compiler)

The variables list of wannier_setup (src/wannier_lib.F90) has two additions compared to wannier90-1.2:

proj_s_loc
proj_s_qaxis_loc

which are "optional, intent(out)".

VASP does not (yet) use these quantities, and as such, calls wannier_setup without them.
This should not be a problem, since these variables are declared as optionals, but apparently the ifort compiler messes up (we have not tried other compilers).

Solution:

1) delete these 2 parameters from the call list of wannier_setup in wannier_lib.F90
2) comment out all lines in wannier_setup referring to these variables,




https://m.sciencenet.cn/blog-382437-1081056.html

上一篇:高压下的Na2He化合物——记我的nature chemistry
下一篇:EPW的计算

0

该博文允许注册用户评论 请点击登录 评论 (0 个评论)

数据加载中...
扫一扫,分享此博文

Archiver|手机版|科学网 ( 京ICP备07017567号-12 )

GMT+8, 2024-4-16 12:14

Powered by ScienceNet.cn

Copyright © 2007- 中国科学报社

返回顶部